Bug 394851 - boo.pc contains wrong path to libraries
boo.pc contains wrong path to libraries
Product: Fedora
Classification: Fedora
Component: boo (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-21 15:16 EST by David Nielsen
Modified: 2008-01-04 05:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-04 05:35:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2007-11-21 15:16:15 EST
Description of problem:
the boo.pc file contains references like:
Libs: -r:/usr/lib64/boo/Boo.Lang.dll

However the correct path is:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install boo boo-devel
2. attempt compiling banshee svn stable against external boo
Actual results:
Watch Banshee complain about not being able to find the dll files

Expected results:
gloriously improved banshee with external boo compiled correctly

Additional info:
Comment 1 David Nielsen 2007-12-26 11:18:55 EST
Paul, can I bribe you with donuts or a few spec reviews to fix this?
Comment 2 Paul F. Johnson 2007-12-26 15:39:41 EST
Mmmmm donuts. Sure. Mono-basic could do with a review. I'll get this fixed over
the weekend (I'm not near my PC - I'm actually at my fiancee's parents until

Comment 3 Paul F. Johnson 2008-01-04 05:35:04 EST
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.